Author Topic: Firefox 14 and 15 work on Linpus  (Read 2816 times)

0 Members and 1 Guest are viewing this topic.

Offline mutant_matt

  • Jr. Member
  • **
  • Posts: 4
  • Karma: 0
  • I've just joined!
    • View Profile
    • Awards
Firefox 14 and 15 work on Linpus
« on: September 26, 2012, 03:45:39 pm »
Now that I've tried this, I couldn't find a thread where the information was directly pertinent, so I thought I'd start a new thread, in case the information is of use to anyone.

To be clear, I have tried going from Firefox 4 straight to 14 and then 15, via Firefox's own update mechanism.  I know there were problems with Firefox => 8 on Linpus, so somewhere between 8 and 14, they fixed something which Linpus is happy with.

I hope this helps someone, personally, it's no use to me as I just ditched Linpus for Lubuntu 12.04 LTS, where nobody is surprised that Firefox 15 works out of the box ;)

Cheers,

Matt.

Offline Mark Greaves (PCNetSpec)

  • Hero Member
  • *****
  • Posts: 18277
  • Karma: 479
  • Gender: Male
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • Awards
Re: Firefox 14 and 15 work on Linpus
« Reply #1 on: September 26, 2012, 06:08:48 pm »
Thanks for the info Matt .. I'm sure it will come in handy for someone.

If anyone else wants to attempt this, and doesn't know how .. give us a shout and I'll attempt a walkthrough.
WARNING: You are logged into reality as 'root'
logging in as 'insane' is the only safe option.
pcnetspec.co.uk

Offline mako6

  • Full Member
  • ***
  • Posts: 232
  • Karma: 0
  • I've just joined!
    • View Profile
    • Awards
Re: Firefox 14 and 15 work on Linpus
« Reply #2 on: October 01, 2012, 10:53:58 pm »
Yeah, I posted about this on another thread. I upgraded to FF7 or 8, then dutifully clicked on cancel on the 948 upgrade "offers".
 Finally did it accidentally to FF14 (though "about" says 12.0), but you say the latest 15 works too? Great, I'll try it, (he said, turning his system into a brick). The latest
version must have downloaded in the background because it updated in about 10 seconds.

Actually, ah, Mark, if you have the latest FF, doesn't that negate 90% of security problems with Linpus???

Offline Mark Greaves (PCNetSpec)

  • Hero Member
  • *****
  • Posts: 18277
  • Karma: 479
  • Gender: Male
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • Awards
Re: Firefox 14 and 15 work on Linpus
« Reply #3 on: October 01, 2012, 10:59:53 pm »
Not really .. any kernel/software vulnerabilities will still be there .. and will never get patched.

In truth, it's *unlikely* that any vulnerabilities will be exploited, but they ARE there .. so it's your call.
WARNING: You are logged into reality as 'root'
logging in as 'insane' is the only safe option.
pcnetspec.co.uk

Offline mako6

  • Full Member
  • ***
  • Posts: 232
  • Karma: 0
  • I've just joined!
    • View Profile
    • Awards
Re: Firefox 14 and 15 work on Linpus
« Reply #4 on: October 02, 2012, 01:06:25 am »
Well I did it to FF 15.0.1 in Linpus from the pop-up box and it seems OK, except I lost my translator add-on again. FF has gone bonkers with their version number changes every month +
why are add-ons so vulnerable to these upgrades? Does a simple auto-update work for Flash Too.

Offline Mark Greaves (PCNetSpec)

  • Hero Member
  • *****
  • Posts: 18277
  • Karma: 479
  • Gender: Male
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • Awards
Re: Firefox 14 and 15 work on Linpus
« Reply #5 on: October 02, 2012, 03:02:53 am »
I tend to agree .. the new versioning numbers are daft.

But Look at Chrome/Chromium .. they're much younger than Firefox, but they are now at 23 ??? .. I guess Firefox thought if they stuck with the old way of doing things (only moving up a whole number on MAJOR revisions) that it would *appear* they weren't releasing as often as Google.

Quote
why are add-ons so vulnerable to these upgrades

Well if the add-on attempts to hook into part of the Firefox code that was changed in the new version it could theoretically break Firefox .. so the add-on needs to be updated to state that it is compatible with the new Firefox version (even if it would work without modification), and/or any changes made to make it compatible.

Quote
Does a simple auto-update work for Flash Too.

If you mean "does updating Firefox also update the Flashplayer" .. erm, NOPE.
WARNING: You are logged into reality as 'root'
logging in as 'insane' is the only safe option.
pcnetspec.co.uk

Offline mako6

  • Full Member
  • ***
  • Posts: 232
  • Karma: 0
  • I've just joined!
    • View Profile
    • Awards
Re: Firefox 14 and 15 work on Linpus
« Reply #6 on: October 03, 2012, 01:58:22 am »
No, I mean does Flash update properly if you go to Adobe site or execute a pop-up box that tells you to update to latest version.
Or much more  important since my crummy mail doesn't work at all, is a Thunderbird version also compatible with Linpus?

Offline Mark Greaves (PCNetSpec)

  • Hero Member
  • *****
  • Posts: 18277
  • Karma: 479
  • Gender: Male
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • Awards
Re: Firefox 14 and 15 work on Linpus
« Reply #7 on: October 03, 2012, 03:45:15 am »
I *thought* that Linpus already has Thunderbird installed ?

And NO .. Flash doesn't update like that .. it updates from the software repositories (in Peppermint/Ubuntu/etc.), but NOT in Linpus, as the repos are no longer supported/updated.
WARNING: You are logged into reality as 'root'
logging in as 'insane' is the only safe option.
pcnetspec.co.uk

 


SimplePortal 2.3.3 © 2008-2010, SimplePortal